<?php if(!function_exists('is_admin') || !is_admin()) die(); ?>

<p><b>Total Cache Size:</b> <?php echo $ar['count']; ?> videos, <?php echo sizeFormat($ar['size']); ?></p> 
<?php
if($total==0)
{
	print "There are no videos that match that request. If you have just activated the plugin, it could take up to a few days to save a video.  Please be patient.";
	die();
}

foreach($videos as $row)
{ 
	$video = Video::loadFromYouTubeID($row['youtube_id']);
	
	$time = $video->age;
	$seconds = $time % 60;
	$mins = floor($time/60) % 60;
	$hours = floor($time/60/60) % 24;
	$days = floor($time/60/60/24);
	
	$parts = array();
	if($days) $parts[] = 	"{$days} days";
	if($hours) $parts[] = 	"{$hours} hours";
	if($mins) $parts[] = 	"{$mins} minutes";
	if($seconds) $parts[] = "{$seconds} seconds";
	$age = implode(", ", $parts);
	
	?>
	<div class="dc-admin-video-box">
		<div class="dc-admin-video-title">	
			<?php if($video->status != 'posted'): ?>
			<a href="javascript:dc_delete_video('<?php echo $video->youtube_id; ?>')"><img src="<?php echo $this->plugin_url; ?>gs/delete_icon.gif" /></a>
			<?php endif; ?>		
			
			<?php echo trunc($video->title, 30); ?>
		</div>
		
		<?php if($video->status=='expired'): ?>
			<img src="<?php echo $video->thumb_url; ?>" width="240" height="180" style="opacity:0.4; filter:alpha(opacity=40);" />
		<?php else: ?>
		<a href="javascript:dc_show_video('<?php echo $video->youtube_id; ?>');">
			<img src="<?php echo $video->thumb_url; ?>" width="240" height="180" />
		<a>
		<?php endif; ?>
		
		<b>age: </b> <?php echo $age; ?><br />
		<b>by: </b> <a href="http://www.youtube.com/user/<?php echo $video->author; ?>" target="_blank"><?php echo $video->author; ?></a>
	</div>
	<?php
}
$pages = ceil($total / $results_per_page);
?>

<?php if($pages > 1): ?>
<!-- START PAGINATION -->
<br style="clear: both;" />
<div id="dc-pagination">

	<?php if($page > 0): ?>
	<div class="dc-page-number" style="width: 90px;">
	<a href="javascript:dc_set_page(<?php echo $page-1; ?>);">Previous</a>
	</div>
	<?php endif; ?>
	<?php for($i=0; $i<$pages; $i++): ?>
		<div class="dc-page-number" style="width: 40px;">
		<?php if($i!=$page): ?>
		<a href="javascript:dc_set_page(<?php echo $i; ?>);"><?php echo $i+1; ?></a>
		<?php else: ?>
		<?php echo $i+1; ?>
		<?php endif; ?>
		</div>
	<?php endfor; ?>
	
	<?php if($page < $pages-1): ?>
	<div class="dc-page-number" style="width: 60px;">
	<a href="javascript:dc_set_page(<?php echo $page+1; ?>);">Next</a>
	</div>
	<?php endif; ?>
	
</div>

<?php endif; ?>
<!-- END PAGINATION -->