<?php
if ( !function_exists( 'add_action' ) ) {
	echo "Hi there!  I'm just a plugin, not much I can do when called directly.";
	exit;
}
header('Content-Type: ' . feed_content_type('rss-http') . '; charset=' . get_option('blog_charset'), true);
echo '<?xml version="1.0" encoding="'.get_option('blog_charset').'"?'.">\n";

$podcast_title = "DeleteCity: ".get_bloginfo('name');
$url = get_bloginfo('url');
$podcast_description = "Videos saved by DeleteCity on ".get_bloginfo('name');
$author_name = get_bloginfo('name');
$author_email = get_bloginfo('admin_email');
$image = "{$this->plugin_url}dc.gif";
$feed_url = (!empty($_SERVER['HTTPS'])) ? "https://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'] : "http://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
?>
<rss version="2.0"
	xmlns:itunes="http://www.itunes.com/dtds/podcast-1.0.dtd" 
	xmlns:atom="http://www.w3.org/2005/Atom" 
	xml:lang="<?php echo get_bloginfo('language'); ?>" 
	<?php do_action('rss2_ns'); ?> >
<channel>
	<title><?php echo $podcast_title; ?></title>
	<atom:link href="<?php echo $feed_url; ?>" rel="self" type="application/rss+xml" />
	<link><?php echo $url; ?></link>
	<description><?php echo $podcast_description; ?></description>
	<generator>DeleteCity</generator>
	<lastBuildDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></lastBuildDate>
	<language><?php echo get_option('rss_language'); ?></language>
	<copyright></copyright>
	<itunes:image href="<?php echo $image; ?>" />
	<image>
		<url><?php echo $image; ?></url>
		<title><?php echo $podcast_title; ?></title>
		<link><?php echo $url; ?></link>
	</image>
	<itunes:summary><?php echo $podcast_description; ?></itunes:summary>
	<itunes:subtitle><?php echo $podcast_description; ?></itunes:subtitle>
	<itunes:author><?php echo $author_name; ?></itunes:author>
	<itunes:owner>
		<itunes:name><?php echo $author_name; ?></itunes:name>
		<itunes:email><?php echo $author_email; ?></itunes:email>
	</itunes:owner>
	<itunes:explicit>yes</itunes:explicit>
	<itunes:category text="Technology">
		<itunes:category text="Gadgets"/>
	</itunes:category>
	<itunes:category text="TV &amp; Film"/>

	<?php
	foreach($result as $row):
	$video = Video::loadFromYouTubeID($row['youtube_id']);
	?>
		<item>
			<title><?php echo $video->title; ?></title>
			<itunes:subtitle></itunes:subtitle>
			<itunes:summary><![CDATA[ <?php echo $video->content; ?> ]]></itunes:summary>
			<description><![CDATA[<?php echo $video->content; ?> by: <?php echo $video->author; ?>]]></description>
			<link><?php echo $video->vid_url; ?></link>
			<enclosure url="<?php echo $video->vid_url; ?>" length="<?php echo $video->get_filesize(); ?>" type="video/mov" />
			<guid><?php echo $video->vid_url; ?></guid>
			<?php if($duration =  $video->get_duration()): ?>
			<itunes:duration><?php echo $duration; ?></itunes:duration>
			<?php endif; ?>
			<author><?php echo $video->author; ?>@youtube.com (<?php echo $video->author; ?>)</author>
			<pubDate><?php echo $video->date_RFC822(); ?></pubDate>
		</item>
	<?php endforeach; ?>
	</channel>
</rss>