<?php
require_once("common.php");

// Treat all errors as Exceptions
ini_set('display_errors', 1);
function exceptions_error_handler($severity, $message, $filename, $lineno) {
  if (error_reporting() == 0) 
    return;
  if (error_reporting() & $severity) 
    throw new ErrorException($message, 0, $severity, $filename, $lineno);
}
set_error_handler('exceptions_error_handler');
error_reporting(E_ALL ^ E_STRICT);

// All of this stuff is needed so that we can include wp-load.php in PHP/CLI mode
define('DOING_AJAX', true);
define('WP_USE_THEMES', false);
$_SERVER["HTTP_HOST"] = $argv[0];
$_SERVER["SERVER_NAME"] = $argv[1];
$_SERVER["REQUEST_URI"] = "/";
$_SERVER["REQUEST_METHOD"] = "GET";
require_once(get_wp_load_path());
require_once("Runcache.class.php");


// Initialize some VAAAARS
$start_time=time();
printf("\n--------------[runcache %d]--------------\n", getmypid());
print "starting at " . date("F j, Y, g:i a", $start_time) . "\n";


$pid = new pid( "/tmp" );
if($pid->already_running)
{
	print "runcache is already running.\n";
}
else
{
	$runcache = new Runcache();
	try {
		print "Step [1/4] Pinging Deletecity.com\n";	
		$runcache->ping_deletecity_com();
	} catch(Exception $e) {
		print $e->getMessage()."\n";
	}
	
	try {
		print "Step [2/4] Checking for orphaned videos\n";
		$runcache->check_for_orphans();
	} catch(Exception $e) {
		print $e->getMessage()."\n";
	}
	
	try {
		print "Step [3/4] Caching\n";
		$runcache->cache();
	} catch(Exception $e) {
		print $e->getMessage()."\n";
		$runcache->delete_temp_options();
	}
	
	try {
		print "Step [4/4] Checking for removed/expired videos\n";
		$runcache->check_for_deleted();
	} catch(Exception $e) {
		print $e->getMessage()."\n";
	}
}


$minutes = (time() - $start_time) / 60.0;
print "elapsed time: {$minutes} minutes\n";
printf("--------------[/runcache %d]--------------\n\n", getmypid());
?>